> For the complete documentation index, see [llms.txt](https://docs.expand.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.expand.network/sdk/getting-started.md).

# Getting Started

### Follow these steps to start using our SDK today!!

#### Step1: Clone the repository

This can be done using the following command:&#x20;

```bash
git clone https://github.com/expand-network/sdk-nodejs.git
```

Install the project dependencies using the following command:&#x20;

```bash
npm i
```

#### Step2: File creation

Once Step1 has been completed, the user can create a javascript file in the root directory and subsequently insert the provided code into the file in order to execute a transaction on the Ethereum network.

```javascript
const {signTransaction,sendTransaction} = require('./src/index');

async function transfer() {
    const rawTransaction = await signTransaction({
        from: 'SENDER_WALLET_ADDRESS',
        to: 'RECEIVER_WALLET_ADDRESS',
        value: '1', // in wei
        gas: '50000',
    },{
        privateKey: 'YOUR_PRIVATE_KEY',
        xApiKey : 'YOUR_API_KEY',
        chainId : "1" // 5 for goerli
    }).then(rawTransaction => sendTransaction({
        rawTransaction: rawTransaction.rawTransaction,
        xApiKey : 'YOUR_API_KEY',
        chainId:"1" // 5 for goerli
    })).then(res => console.log(res));
}

transfer()
```

Upon completion of the transaction, the user will be provided with the transaction hash.

{% hint style="info" %}
For further details, please refer [here](https://github.com/expand-network/sdk-nodejs).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.expand.network/sdk/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
